if (cases && cases.length >= 3) return enfinity.interaction.guild.bans.create(member.user.id, { 
            reason: 'User has exceeded our allowed maximum of 3 warnings' 
        }).then(async banned => {
            await log.send({
                embeds: [
                    new enfinity.Gateway.EmbedBuilder()
                        .setTitle('Action: ban user')
                        .setColor(enfinity.colors.base)
                        .setThumbnail(enfinity.logo)
                        .setDescription('Whoops, someone messed up and got the bean')
                        .addFields(
                            {
                                name: 'User',
                                value: `${banned.globalName ? banned.globalName : banned.username}`,
                                inline: true
                            },
                            {
                                name: 'User ID',
                                value: `${banned.id}`,
                                inline: true
                            },
                            {
                                name: 'Moderator',
                                value: `${enfinity.user.username}`,
                                inline: true
                            },
                            {
                                name: 'Reason',
                                value: `User has exceed our allowed maximum of 3 warnings.`,
                                inline: false
                            }
                        )
                        .setTimestamp()
                        .setFooter({
                            text: enfinity.footer,
                            iconURL: enfinity.logo
                        })
                ]
            });